Opened 6 months ago

Last modified 6 months ago

#34356 new defect

Consider bundling Python binary on GNU/Linux

Reported by: JeremyRand Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Normal Keywords: namecoin, gitlab-tb-tor-browser-build
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Namecoin (specifically Electrum-NMC) currently requires Python 3.6+, which is not yet universally available. To avoid incompatibility issues on older GNU/Linux distros, it may be worth considering bundling a Python 3.6+ binary with Tor Browser when building with Namecoin is enabled.

(This would have also avoided #33749.)

Child Tickets

Change History (2)

comment:1 Changed 6 months ago by JeremyRand

#34399 is another example of a bug whose exposure to end users would have been avoided by bundling a known-good Python binary.

comment:2 Changed 6 months ago by sysrqb

Keywords: gitlab-tb-tor-browser-build added
Note: See TracTickets for help on using tickets.